Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-6998

Overview

Vulnerability Score 9.3 9.3
CVE Id CVE-2008-6998
Last Modified 21 Aug 2009 12:00:00
Published 19 Aug 2009 01:24:52
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2008-6998

Summary

Stack-based buffer overflow in chrome/common/gfx/url_elider.cc in Google Chrome 0.2.149.27 and other versions before 0.2.149.29 might allow user-assisted remote attackers to execute arbitrary code via a link target (href attribute) with a large number of path elements, which triggers the overflow when the status bar is updated after the user hovers over the link.

Vulnerable Systems

Application

  • Google Chrome 0.2.149.27


References

CONFIRM - http://src.chromium.org/viewvc/chrome/branches/chrome_official_branch/src/chrome/common/gfx/url_elider.cc?r1=1774&r2=1797&pathrev=1797

XF - google-chrome-urlelider-bo(45032)

XF - google-chrome-href-dos(44934)

BID - 31071

BID - 31034

MILW0RM - 6372

MISC - http://shinnok.evonet.ro/vulns_html/chrome.html

OSVDB - 48264

CONFIRM - http://googlechromereleases.blogspot.com/2008/09/beta-release-0214929.html


Last Updated: 27 May 2016 10:49:25